import { Component, OnInit } from '@angular/core';
import { AppDragDropService } from 'src/app/shared/drag/app-drag-drop.service';

@Component({
  selector: 'app-sidebar-element-drag-preview',
  templateUrl: './sidebar-element-drag-preview.component.html',
  styleUrls: ['./sidebar-element-drag-preview.component.scss']
})
export class SidebarElementDragPreviewComponent implements OnInit {

  public name;

  constructor(private appDragDropService: AppDragDropService) {
    
    
  }

  ngOnInit(): void {
    this.name = this.appDragDropService.getDraggedComponent().previewData;
  }

}
